#!/usr/bin/perl
#
# This is a quicky script for rebuilding aliases you lost for Listar
# mailing lists.  Useful if you accidentally blow away your
# listar.aliases, as I have been known to do.

# Alter these two.
chomp ($myhost = `cat /etc/mailname`);
$mydir = "/usr/lib/listar";

$mylog = "/var/log/listar.log";


# Main body

chdir($mydir);

print (STDERR "Listar list creation shortcut.\n");
print (STDERR "-------\n");
print (STDERR "Please note that all addresses should be full ones, e.g.\n");
print (STDERR "'listar\@listar.org' instead of just 'listar'.\n");
print (STDERR "\n");
print (STDERR "The 'admin' address should be an address from which mail can be\n");
print (STDERR "SENT, not just received.\n");
print (STDERR "-------\n");
print (STDERR "New list name: ");

$listname = <>;
if ($listname =~ /(.*)/) 
{
   $listname = $1;
}

print (STDERR "List admin address: ");

$listowner = <>;
if ($listowner =~ /(.*)/) 
{
   $listowner = $1;
}

print (STDERR "Creating $listname with owner $listowner.\n");
print (STDERR "Spitting information to add to aliases on stdout.\n");

print ("\n# Aliases for list '$listname'\n");
print ("$listname: \"|$mydir/listar -s $listname\"\n");
print ("$listname-request: \"|$mydir/listar -r $listname\"\n");
print ("$listname-repost: \"|$mydir/listar -a $listname\"\n");
print ("$listname-admins: \"|$mydir/listar -admins $listname\"\n");
print ("$listname-moderators: \"|$mydir/listar -moderators $listname\"\n");
print ("$listname-bounce: \"|$mydir/listar -bounce $listname\"\n");
print ("$listname-owner: $listowner\n");

